InfoGrab Docs

경보 관리 경보 API

경보의 메트릭 이미지를 업로드, 조회, 수정, 삭제하는 API를 설명합니다.

이 API를 사용하여 경보 의 메트릭 이미지와 상호작용합니다. 추가 엔드포인트는 GraphQL API 를 통해 사용할 수 있습니다. 메트릭 이미지 업로드 # 지정된 경보의 메트릭 이미지를 업로드합니다. POST /projects/:id/alert_management_alerts/:alert_iid/metric_images 속성 유형 필수 여부 설명 id 정수 또는 문자열 예 프로젝트의 ID 또는 URL-인코딩된 경로 . alert_iid 정수 예 프로젝트 경보의 내부 ID. 요청 예시: curl --request POST --header "PRIVATE-TOKEN: <your_access_token>" \ --form 'file=@/path/to/file.png' \ --form 'url=http://example.com' \ --form 'url_text=Example website' \ --url "https://gitlab.example.com/api/v4/projects/5/alert_management_alerts/93/metric_images" 응답 예시: { "id" : 17 , "created_at" : "2020-11-12T20:07:58.156Z" , "filename" : "sample_2054" , "file_path" : "/uploads/-/system/alert_metric_image/file/17/sample_2054.png" , "url" : "https://example.com/metric" , "url_text" : "An example metric" } 모든 메트릭 이미지 목록 # 지정된 경보의 모든 메트릭 이미지를 나열합니다. GET /projects/:id/alert_management_alerts/:alert_iid/metric_images 속성 유형 필수 여부 설명 id 정수 또는 문자열 예 프로젝트의 ID 또는 URL-인코딩된 경로 . alert_iid 정수 예 프로젝트 경보의 내부 ID. 요청 예시: curl --header "PRIVATE-TOKEN: <your_access_token>" \ --url "https://gitlab.example.com/api/v4/projects/5/alert_management_alerts/93/metric_images" 응답 예시: [ { "id" : 17 , "created_at" : "2020-11-12T20:07:58.156Z" , "filename" : "sample_2054" , "file_path" : "/uploads/-/system/alert_metric_image/file/17/sample_2054.png" , "url" : "https://example.com/metric" , "url_text" : "An example metric" } , { "id" : 18 , "created_at" : "2020-11-12T20:14:26.441Z" , "filename" : "sample_2054" , "file_path"